﻿@{
    ViewBag.Title = "Registrar";
}

@using Blum.Access.Entities.Enum
@using Blum.Web.Models

<h1>Registro</h1>
<form asp-controller="UsersLogin" asp-action="Registrar" method="get">
    <partial name="~/Views/Shared/_Alerts.cshtml"/>
    @Html.AntiForgeryToken()

    @Html.CreateModel(new UsersLoginViewModel())
    @Html.Edit("Email")
    @Html.Edit("ConfirmarEmail", InputSize.MidSize, false)
    @Html.EditPassword("Senha")
    @Html.EditPassword("ConfirmarSenha")
    @Html.Botao("Registrar", "Registrar", ButtonType.Success)
    <button class="btn btn-success" onclick="showSwal('success')">Success</button>
    <button class="btn btn-primary" data-toggle="sweet-alert" data-sweet-alert="confirm">Confim alert</button>
    <div class="alert alert-warning" role="alert" style="display:none">
        <span class="alert-icon"><i class="ni ni-like-2"></i></span>
        <span class="alert-text"><strong>Warning!</strong> This is a warning alert—check it out that has an icon too!</span>
    </div>

</form>

@section scripts {
    <script type="text/javascript">

        function showSwal(type) {
            Swal.fire(
                'Good job!',
                'You clicked the button!',
                'success'
            )

            event.preventDefault();
        }
    </script>
}